
package de.ivu.elect.business.search.boundary;

import org.apache.deltaspike.core.api.scope.ConversationGroup;
import org.apache.deltaspike.core.api.scope.GroupedConversationScoped;

import de.ivu.elect.business.wahl.entity.Wahl;
import de.ivu.elect.business.wahl.entity.Wahltermin;

@GroupedConversationScoped
@ConversationGroup(AbstractBenutzerSuchparameterSearchParameters.class)
public class BenutzerSuchparameterSearchParameters extends AbstractBenutzerSuchparameterSearchParameters {

  private static final long serialVersionUID = 1L;

  private Wahl wahl;

  private Wahltermin wahltermin;

  private String benutzerkennung;

  private String viewId;

  public BenutzerSuchparameterSearchParameters() {
    super();
  }

  public String getBenutzerkennung() {
    return benutzerkennung;
  }

  public void setBenutzerkennung(String benutzerkennung) {
    this.benutzerkennung = benutzerkennung;
  }

  public String getViewId() {
    return viewId;
  }

  public void setViewId(String viewId) {
    this.viewId = viewId;
  }

  public Wahl getWahl() {
    return wahl;
  }

  public void setWahl(Wahl wahl) {
    this.wahl = wahl;
  }

  public Wahltermin getWahltermin() {
    return wahltermin;
  }

  public void setWahltermin(Wahltermin wahltermin) {
    this.wahltermin = wahltermin;
  }
}
